> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-beta.getzep.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server.

# List trajectory import run items

GET https://api.getzep.com/api/v4/agents/{agent_uuid}/trajectory-imports/{import_uuid}/runs/{run_uuid}/items

List trace results for this run. Run items do not include source payload.

Reference: https://docs-beta.getzep.com/sdk-reference/agent/trajectory-import/run/item/list

## Authentication

- `Authorization` header (required) (prefixed with ` Api-Key  `) — Type "Api-Key" followed by a space and the project API key.

## Request

### Path parameters

- `agent_uuid` (string, required) — Agent UUID
- `import_uuid` (string, required) — Trajectory import UUID
- `run_uuid` (string, required) — Run UUID

### Query parameters

- `limit` (integer, optional) — Page size
- `cursor` (string, optional) — Opaque page cursor

## Response

### 200

OK

- `items` (list of v4.TrajectoryImportRunItem, optional) — Items contains run items on this page. Example: \[\{"trace\_id":"trace\_123","status":"imported"}].
- `next_cursor` (string, optional) — NextCursor is the cursor for the next page.
- `total_size` (integer, optional) — TotalSize is the number of matching run items.

## Errors

### 401 Unauthorized Error

Unauthorized

- `error` (v4.ErrorBody, optional)

### 403 Forbidden Error

Forbidden

- `error` (v4.ErrorBody, optional)

### 404 Not Found Error

Not Found

- `error` (v4.ErrorBody, optional)

## Types

### v4.TrajectoryImportRunItem

- `created_at` (string, optional) — CreatedAt is the item creation time.
- `reason` (string, optional) — Reason is the safe skip or failure reason, when present.
- `source_revision` (string, optional) — SourceRevision is the provider revision processed by the run.
- `status` (string, optional) — Status is the trace result status.
- `trace_id` (string, optional) — TraceID is the provider trace identifier.
- `trajectory_uuid` (string, optional) — TrajectoryUUID is the created Trajectory identifier, when present.

### v4.ErrorBody

- `code` (string, optional)
- `details` (map from string to any, optional)
- `message` (string, optional)
- `param` (string, optional)
- `request_id` (string, optional)

## Examples

**Response**

```json
{
  "items": [
    {
      "created_at": "2026-01-01T00:00:00Z",
      "reason": "trace_not_closed",
      "source_revision": "123456789",
      "status": "imported",
      "trace_id": "trace_123",
      "trajectory_uuid": "6a906e70-50ca-4e43-a874-5fcae02a71fa"
    }
  ],
  "next_cursor": "eyJvZmZzZXQiOjI1fQ",
  "total_size": 1
}
```